petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatNullSpace

Object that removes a null space from a vector, i.e. orthogonalizes the vector to a subsapce

### Synopsis

    typedef struct _p_MatNullSpace* MatNullSpace;

### Users manual sections

Section 4.19 Solving Singular Systems -

### See Also

MatNullSpaceCreate()

### Level

advanced

### Location

src/mat/../../include/petscmat.h

### Implementations

_p_MatNullSpace in include/petsc/private/matimpl.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages